## qt6-3d 6.4.2%2Bdfsg

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

if(QT_FEATURE_qt3d_extras)
    add_subdirectory(qt3d)
endif()

qt_examples_build_end()

=== examples/qt3d/CMakeLists.txt ===
qt_internal_add_example(3d-text)
qt_internal_add_example(simple-cpp)
if(TARGET Qt::Widgets)
    qt_internal_add_example(basicshapes-cpp)
endif()
if(TARGET Qt::QuickWidgets AND TARGET Qt::Widgets)
    qt_internal_add_example(widgets-scene3d)
endif()
if(TARGET Qt::Quick)
    qt_internal_add_example(advancedcustommaterial)
    qt_internal_add_example(compute-particles)
    qt_internal_add_example(controls)
    qt_internal_add_example(controlsunderlay)
    qt_internal_add_example(instanced-arrays-qml)
    qt_internal_add_example(multiviewport)
    qt_internal_add_example(planets-qml)
#    qt_internal_add_example(scene2d) # Restore once Scene2D support has been ported to Qt6
    qt_internal_add_example(scene3d)
    qt_internal_add_example(simple-qml)
    qt_internal_add_example(simplecustommaterial)
    qt_internal_add_example(wave)

    # these require qt6_add_big_resources but it's broken at this point QTBUG-85051
#    qt_internal_add_example(anaglyph-rendering)
#    qt_internal_add_example(lights)
#    qt_internal_add_example(pbr-materials)
#    qt_internal_add_example(phong-cubes)
#    qt_internal_add_example(qardboard)
#    qt_internal_add_example(shadow-map-qml)
#    qt_internal_add_example(wireframe)
endif()
if(TARGET Qt::Multimedia AND TARGET Qt::Quick)
#    qt_internal_add_example(audio-visualizer-qml)
endif()

=== src/render/CMakeLists.txt ===
# Generated from render.pro.

#####################################################################
## 3drender Module:
#####################################################################

qt_internal_add_module(3DRender
    PLUGIN_TYPES sceneparsers geometryloaders renderplugins renderers
    SOURCES
        backend/abstractrenderer_p.h
        backend/apishadermanager_p.h
        backend/attachmentpack.cpp backend/attachmentpack_p.h
        backend/backendnode.cpp backend/backendnode_p.h
        backend/boundingvolumedebug.cpp backend/boundingvolumedebug_p.h
        backend/bufferutils_p.h
        backend/buffervisitor_p.h
        backend/cameralens.cpp backend/cameralens_p.h
        backend/computecommand.cpp backend/computecommand_p.h
        backend/entity.cpp backend/entity_p.h
        backend/entity_p_p.h
        backend/entityaccumulator.cpp backend/entityaccumulator_p.h
        backend/entityvisitor.cpp backend/entityvisitor_p.h
        backend/handle_types_p.h
        backend/layer.cpp backend/layer_p.h
        backend/levelofdetail.cpp backend/levelofdetail_p.h
        backend/managers.cpp backend/managers_p.h
        backend/nodefunctor_p.h
        backend/nodemanagers.cpp backend/nodemanagers_p.h
        backend/offscreensurfacehelper.cpp backend/offscreensurfacehelper_p.h
        backend/parameterpack.cpp backend/parameterpack_p.h
        backend/platformsurfacefilter.cpp backend/platformsurfacefilter_p.h
        backend/pointsvisitor.cpp backend/pointsvisitor_p.h
        backend/rendersettings.cpp backend/rendersettings_p.h
        backend/rendertarget.cpp backend/rendertarget_p.h
        backend/rendertargetoutput.cpp backend/rendertargetoutput_p.h
        backend/resourceaccessor.cpp backend/resourceaccessor_p.h
        backend/segmentsvisitor.cpp backend/segmentsvisitor_p.h
        backend/stringtoint.cpp backend/stringtoint_p.h
        backend/transform.cpp backend/transform_p.h
        backend/triangleboundingvolume.cpp backend/triangleboundingvolume_p.h
        backend/trianglesvisitor.cpp backend/trianglesvisitor_p.h
        backend/uniform.cpp backend/uniform_p.h
        backend/visitorutils_p.h
        framegraph/blitframebuffer.cpp framegraph/blitframebuffer_p.h
        framegraph/buffercapture.cpp framegraph/buffercapture_p.h
        framegraph/cameraselectornode.cpp framegraph/cameraselectornode_p.h
        framegraph/clearbuffers.cpp framegraph/clearbuffers_p.h
        framegraph/debugoverlay.cpp framegraph/debugoverlay_p.h
        framegraph/dispatchcompute.cpp framegraph/dispatchcompute_p.h
        framegraph/framegraphnode.cpp framegraph/framegraphnode_p.h
        framegraph/framegraphvisitor.cpp framegraph/framegraphvisitor_p.h
        framegraph/frustumculling.cpp framegraph/frustumculling_p.h
        framegraph/layerfilternode.cpp framegraph/layerfilternode_p.h
        framegraph/memorybarrier.cpp framegraph/memorybarrier_p.h
        framegraph/nodraw.cpp framegraph/nodraw_p.h
        framegraph/nopicking.cpp framegraph/nopicking_p.h
        framegraph/proximityfilter.cpp framegraph/proximityfilter_p.h
        framegraph/qblitframebuffer.cpp framegraph/qblitframebuffer.h framegraph/qblitframebuffer_p.h
        framegraph/qbuffercapture.cpp framegraph/qbuffercapture.h framegraph/qbuffercapture_p.h
        framegraph/qcameraselector.cpp framegraph/qcameraselector.h framegraph/qcameraselector_p.h
        framegraph/qclearbuffers.cpp framegraph/qclearbuffers.h framegraph/qclearbuffers_p.h
        framegraph/qdebugoverlay.cpp framegraph/qdebugoverlay.h framegraph/qdebugoverlay_p.h
        framegraph/qdispatchcompute.cpp framegraph/qdispatchcompute.h framegraph/qdispatchcompute_p.h
        framegraph/qframegraphnode.cpp framegraph/qframegraphnode.h framegraph/qframegraphnode_p.h
        framegraph/qfrustumculling.cpp framegraph/qfrustumculling.h
        framegraph/qlayerfilter.cpp framegraph/qlayerfilter.h framegraph/qlayerfilter_p.h
        framegraph/qmemorybarrier.cpp framegraph/qmemorybarrier.h framegraph/qmemorybarrier_p.h
        framegraph/qnodraw.cpp framegraph/qnodraw.h
        framegraph/qnopicking.cpp framegraph/qnopicking.h
        framegraph/qproximityfilter.cpp framegraph/qproximityfilter.h framegraph/qproximityfilter_p.h
        framegraph/qrendercapture.cpp framegraph/qrendercapture.h framegraph/qrendercapture_p.h
        framegraph/qrenderpassfilter.cpp framegraph/qrenderpassfilter.h framegraph/qrenderpassfilter_p.h
        framegraph/qrenderstateset.cpp framegraph/qrenderstateset.h framegraph/qrenderstateset_p.h
        framegraph/qrendersurfaceselector.cpp framegraph/qrendersurfaceselector.h framegraph/qrendersurfaceselector_p.h
        framegraph/qrendertargetselector.cpp framegraph/qrendertargetselector.h framegraph/qrendertargetselector_p.h
        framegraph/qsetfence.cpp framegraph/qsetfence.h framegraph/qsetfence_p.h
        framegraph/qsortpolicy.cpp framegraph/qsortpolicy.h framegraph/qsortpolicy_p.h
        framegraph/qsubtreeenabler.cpp framegraph/qsubtreeenabler.h framegraph/qsubtreeenabler_p.h
        framegraph/qtechniquefilter.cpp framegraph/qtechniquefilter.h framegraph/qtechniquefilter_p.h
        framegraph/qviewport.cpp framegraph/qviewport.h framegraph/qviewport_p.h
        framegraph/qwaitfence.cpp framegraph/qwaitfence.h framegraph/qwaitfence_p.h
        framegraph/rendercapture.cpp framegraph/rendercapture_p.h
        framegraph/renderpassfilternode.cpp framegraph/renderpassfilternode_p.h
        framegraph/rendersurfaceselector.cpp framegraph/rendersurfaceselector_p.h
        framegraph/rendertargetselectornode.cpp framegraph/rendertargetselectornode_p.h
        framegraph/setfence.cpp framegraph/setfence_p.h
        framegraph/sortpolicy.cpp framegraph/sortpolicy_p.h
        framegraph/statesetnode.cpp framegraph/statesetnode_p.h
        framegraph/subtreeenabler.cpp framegraph/subtreeenabler_p.h
        framegraph/techniquefilternode.cpp framegraph/techniquefilternode_p.h
        framegraph/viewportnode.cpp framegraph/viewportnode_p.h
        framegraph/waitfence.cpp framegraph/waitfence_p.h
        frontend/qcamera.cpp frontend/qcamera.h frontend/qcamera_p.h
        frontend/qcameralens.cpp frontend/qcameralens.h frontend/qcameralens_p.h
        frontend/qcomputecommand.cpp frontend/qcomputecommand.h frontend/qcomputecommand_p.h
        frontend/qlayer.cpp frontend/qlayer.h frontend/qlayer_p.h
        frontend/qlevelofdetail.cpp frontend/qlevelofdetail.h frontend/qlevelofdetail_p.h
        frontend/qlevelofdetailboundingsphere.cpp frontend/qlevelofdetailboundingsphere.h
        frontend/qlevelofdetailswitch.cpp frontend/qlevelofdetailswitch.h frontend/qlevelofdetailswitch_p.h
        frontend/qpickingsettings.cpp frontend/qpickingsettings.h frontend/qpickingsettings_p.h
        frontend/qrenderapi.h
        frontend/qrenderaspect.cpp frontend/qrenderaspect.h frontend/qrenderaspect_p.h
        frontend/qrendercapabilities.cpp frontend/qrendercapabilities.h frontend/qrendercapabilities_p.h
        frontend/qrenderplugin_p.h
        frontend/qrenderpluginfactory.cpp frontend/qrenderpluginfactory_p.h
        frontend/qrenderpluginfactoryif.cpp frontend/qrenderpluginfactoryif_p.h
        frontend/qrendersettings.cpp frontend/qrendersettings.h frontend/qrendersettings_p.h
        frontend/qrendertarget.cpp frontend/qrendertarget.h frontend/qrendertarget_p.h
        frontend/qrendertargetoutput.cpp frontend/qrendertargetoutput.h frontend/qrendertargetoutput_p.h
        frontend/sphere.cpp frontend/sphere_p.h
        geometry/armature.cpp geometry/armature_p.h
        geometry/attribute.cpp geometry/attribute_p.h
        geometry/buffer.cpp geometry/buffer_p.h
        geometry/buffermanager.cpp geometry/buffermanager_p.h
        geometry/geometry.cpp geometry/geometry_p.h
        geometry/geometryrenderer.cpp geometry/geometryrenderer_p.h
        geometry/geometryrenderermanager.cpp geometry/geometryrenderermanager_p.h
        geometry/gltfskeletonloader.cpp geometry/gltfskeletonloader_p.h
        geometry/joint.cpp geometry/joint_p.h
        geometry/pickingproxy.cpp geometry/pickingproxy_p.h
        geometry/qgeometryrenderer.cpp geometry/qgeometryrenderer.h geometry/qgeometryrenderer_p.h
        geometry/qmesh.cpp geometry/qmesh.h geometry/qmesh_p.h
        geometry/qpickingproxy.cpp geometry/qpickingproxy.h geometry/qpickingproxy_p.h
        geometry/skeleton.cpp geometry/skeleton_p.h
        geometry/skeletondata.cpp geometry/skeletondata_p.h
        io/qaxisalignedboundingbox.cpp io/qaxisalignedboundingbox_p.h
        io/qgeometryloaderfactory.cpp io/qgeometryloaderfactory_p.h
        io/qgeometryloaderinterface_p.h
        io/qsceneexporter.cpp io/qsceneexporter_p.h
        io/qsceneexportfactory.cpp io/qsceneexportfactory_p.h
        io/qsceneexportplugin.cpp io/qsceneexportplugin_p.h
        io/qsceneimporter.cpp io/qsceneimporter_p.h
        io/qsceneimportfactory.cpp io/qsceneimportfactory_p.h
        io/qsceneimportplugin.cpp io/qsceneimportplugin_p.h
        io/qsceneloader.cpp io/qsceneloader.h io/qsceneloader_p.h
        io/scene.cpp io/scene_p.h
        io/scenemanager.cpp io/scenemanager_p.h
        jobs/abstractpickingjob.cpp jobs/abstractpickingjob_p.h
        jobs/calcboundingvolumejob.cpp jobs/calcboundingvolumejob_p.h
        jobs/computefilteredboundingvolumejob.cpp jobs/computefilteredboundingvolumejob_p.h
        jobs/expandboundingvolumejob.cpp jobs/expandboundingvolumejob_p.h
        jobs/filterentitybycomponentjob_p.h
        jobs/filterlayerentityjob.cpp jobs/filterlayerentityjob_p.h
        jobs/filterproximitydistancejob.cpp jobs/filterproximitydistancejob_p.h
        jobs/framecleanupjob.cpp jobs/framecleanupjob_p.h
        jobs/frustumcullingjob.cpp jobs/frustumcullingjob_p.h
        jobs/genericlambdajob_p.h
        jobs/job_common_p.h
        jobs/lightgatherer.cpp jobs/lightgatherer_p.h
        jobs/loadgeometryjob.cpp jobs/loadgeometryjob_p.h
        jobs/loadscenejob.cpp jobs/loadscenejob_p.h
        jobs/loadskeletonjob.cpp jobs/loadskeletonjob_p.h
        jobs/pickboundingvolumejob.cpp jobs/pickboundingvolumejob_p.h
        jobs/pickboundingvolumeutils.cpp jobs/pickboundingvolumeutils_p.h
        jobs/raycastingjob.cpp jobs/raycastingjob_p.h
        jobs/sendbuffercapturejob.cpp jobs/sendbuffercapturejob_p.h
        jobs/updateentitylayersjob.cpp jobs/updateentitylayersjob_p.h
        jobs/updatelevelofdetailjob.cpp jobs/updatelevelofdetailjob_p.h
        jobs/updateshaderdatatransformjob.cpp jobs/updateshaderdatatransformjob_p.h
        jobs/updateskinningpalettejob.cpp jobs/updateskinningpalettejob_p.h
        jobs/updatetreeenabledjob.cpp jobs/updatetreeenabledjob_p.h
        jobs/updateworldboundingvolumejob.cpp jobs/updateworldboundingvolumejob_p.h
        jobs/updateworldtransformjob.cpp jobs/updateworldtransformjob_p.h
        jobs/filtercompatibletechniquejob.cpp jobs/filtercompatibletechniquejob_p.h
        jobs/materialparametergathererjob.cpp jobs/materialparametergathererjob_p.h
        jobs/renderviewjobutils.cpp jobs/renderviewjobutils_p.h
        jobs/uniformblockbuilder.cpp jobs/uniformblockbuilder_p.h
        jobs/renderqueue_p.h
        jobs/renderercache_p.h
        jobs/renderviewcommandbuilderjob_p.h
        jobs/renderviewcommandupdaterjob_p.h
        jobs/renderviewinitializerjob_p.h
        jobs/rendersyncjobs_p.h
        lights/environmentlight.cpp lights/environmentlight_p.h
        lights/light.cpp lights/light_p.h
        lights/lightsource.cpp lights/lightsource_p.h
        lights/qabstractlight.cpp lights/qabstractlight.h lights/qabstractlight_p.h
        lights/qdirectionallight.cpp lights/qdirectionallight.h lights/qdirectionallight_p.h
        lights/qenvironmentlight.cpp lights/qenvironmentlight.h lights/qenvironmentlight_p.h
        lights/qpointlight.cpp lights/qpointlight.h lights/qpointlight_p.h
        lights/qspotlight.cpp lights/qspotlight.h lights/qspotlight_p.h
        materialsystem/effect.cpp materialsystem/effect_p.h

=== tests/benchmarks/CMakeLists.txt ===
# Generated from benchmarks.pro.

if(NOT QT_FEATURE_qt3d_extras)
    return()
endif()

add_subdirectory(core)
if(QT_FEATURE_qt3d_render)
# Disabled temporarily as some benchmarks fail to build on Mac
#    add_subdirectory(render)
endif()

=== tests/manual/CMakeLists.txt ===
# Generated from manual.pro.

if(NOT QT_FEATURE_qt3d_extras)
    return()
endif()

add_subdirectory(bigscene-cpp)
add_subdirectory(component-changes)
add_subdirectory(custom-mesh-cpp)
add_subdirectory(custom-mesh-cpp-indirect)
add_subdirectory(custom-mesh-update-data-cpp)
add_subdirectory(cylinder-cpp)
add_subdirectory(cylinder-parent-test)
add_subdirectory(deferred-renderer-cpp)
add_subdirectory(raster-cpp)
add_subdirectory(rendertarget-cpp)
add_subdirectory(qtbug-72236)
add_subdirectory(manual-renderloop)
add_subdirectory(rhi)
add_subdirectory(boundingvolumes)
if(TARGET Qt::Multimedia)
    add_subdirectory(sharedtexture)
endif()
if(TARGET Qt::Multimedia AND TARGET Qt::Quick)
    add_subdirectory(sharedtextureqml)
endif()
if(TARGET Qt::Widgets)
    add_subdirectory(assimp-cpp)
    add_subdirectory(paintedtexture-cpp)
    add_subdirectory(rendercapture-cpp)
    add_subdirectory(texture-updates-cpp)
endif()
if(TARGET Qt::Quick)
    add_subdirectory(assimp)
    add_subdirectory(animation-keyframe-simple)
    add_subdirectory(animation-keyframe-blendtree)
    add_subdirectory(animation-keyframe-programmatic)
    add_subdirectory(bigmodel-qml)
    add_subdirectory(bigscene-instanced-qml)
    add_subdirectory(clip-planes-qml)
    add_subdirectory(custom-mesh-qml)
    add_subdirectory(custom-mesh-update-data-qml)
    add_subdirectory(cylinder-qml)
    add_subdirectory(deferred-renderer-qml)
    add_subdirectory(downloading)
    add_subdirectory(dynamicscene-cpp)
    add_subdirectory(dragging)
    add_subdirectory(enabled-qml)
    add_subdirectory(gltf)
    add_subdirectory(gooch-qml)
    add_subdirectory(keyboardinput-qml)
    add_subdirectory(lod)
    add_subdirectory(loader-qml)
    add_subdirectory(mouseinput-qml)
    add_subdirectory(multiplewindows-qml)
    add_subdirectory(plasma)
    add_subdirectory(pointlinesize)
    add_subdirectory(scene3d-loader)
    add_subdirectory(picking-qml)
    add_subdirectory(skybox)
    add_subdirectory(simple-shaders-qml)
    add_subdirectory(transparency-qml)
    add_subdirectory(transparency-qml-scene3d)
    add_subdirectory(rendercapture-qml)
    add_subdirectory(additional-attributes-qml)
    add_subdirectory(dynamic-model-loader-qml)
    add_subdirectory(buffercapture-qml)
    add_subdirectory(render-qml-to-texture)
    add_subdirectory(render-qml-to-texture-qml)
    add_subdirectory(video-texture-qml)
    add_subdirectory(transforms-qml)
    add_subdirectory(layerfilter-qml)
    add_subdirectory(tessellation-modes)
    add_subdirectory(rendercapture-qml-fbo)
    add_subdirectory(blitframebuffer-qml)
    add_subdirectory(raycasting-qml)
    add_subdirectory(raster-qml)
    add_subdirectory(shader-image-qml)
    add_subdirectory(spritegrid)
    add_subdirectory(subtree-enabler-qml)
    add_subdirectory(distancefieldtext)
    add_subdirectory(mesh-morphing)
    add_subdirectory(anim-viewer)
    add_subdirectory(skinned-mesh)
    add_subdirectory(rigged-simple)
    add_subdirectory(proximityfilter)
    add_subdirectory(scene3d-visibility)
    add_subdirectory(shared_texture_image)
    add_subdirectory(texture_property_updates)
    add_subdirectory(qtbug-76766)
    add_subdirectory(scene3d-in-sync)
    add_subdirectory(compressed_textures)
endif()
if(TARGET Qt::Quick AND NOT MACOS AND NOT UIKIT)
    add_subdirectory(compute-manual)
endif()
if(TARGET Qt::QuickWidgets)
    add_subdirectory(quickwidget-switch)
endif()

=== examples/qt3d/pbr-materials/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(pbr-materials LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DQuick 3DQuickExtras 3DRender Core Gui Qml Quick)

qt_add_executable(pbr-materials
    main.cpp
)

set_target_properties(pbr-materials PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(pbr-materials PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(materials_resource_files
    "BasicCamera.qml"
    "Lights.qml"
    "TrefoilKnot.qml"
    "main.qml"
)

qt6_add_resources(pbr-materials "materials"
    PREFIX
        "/"
    FILES
        ${materials_resource_files}
)

set(cubemaps_resource_files
    "../exampleresources/assets/cubemaps/default/default_irradiance.dds"
    "../exampleresources/assets/cubemaps/default/default_specular.dds"
    "../exampleresources/assets/cubemaps/miramar/miramar_negx.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_negy.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_negz.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_posx.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_posy.webp"
    "../exampleresources/assets/cubemaps/miramar/miramar_posz.webp"
)

qt6_add_resources(pbr-materials "cubemaps"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${cubemaps_resource_files}
)

set(obj_resource_files
    "../exampleresources/assets/obj/ball.obj"
    "../exampleresources/assets/obj/material-sphere.obj"
    "../exampleresources/assets/obj/plane-10x10.obj"
    "../exampleresources/assets/obj/toyplane.obj"
    "../exampleresources/assets/obj/trefoil.obj"
)

qt6_add_resources(pbr-materials "obj"
    PREFIX
        "/"
    BASE
        "../exampleresources"
    FILES
        ${obj_resource_files}
)

qt6_add_big_resources(big_resources ../exampleresources/textures.qrc)
target_sources(pbr-materials PRIVATE ${big_resources})

install(TARGETS pbr-materials
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/phong-cubes/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(phong-cubes LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DQuick 3DQuickExtras 3DRender Core Gui Qml Quick)

qt_add_executable(phong-cubes
    main.cpp
)

set_target_properties(phong-cubes PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(phong-cubes PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(phong-cubes_resource_files
    "CubeEntity.qml"
    "main.qml"
)

qt6_add_resources(phong-cubes "phong-cubes"
    PREFIX
        "/"
    FILES
        ${phong-cubes_resource_files}
)

qt6_add_big_resources(big_resources ../exampleresources/textures.qrc)
target_sources(phong-cubes PRIVATE ${big_resources})

install(TARGETS phong-cubes
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/planets-qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(planets-qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DQuick 3DQuickExtras 3DQuickInput 3DQuickRender 3DRender Concurrent Core Gui Network Qml Quick)

qt_add_executable(planets-qml
    main.cpp
    networkcontroller.cpp networkcontroller.h
)

set_target_properties(planets-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(planets-qml PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DQuickInput
    Qt::3DQuickRender
    Qt::3DRender
    Qt::Concurrent
    Qt::Core
    Qt::Gui
    Qt::Network
    Qt::Qml
    Qt::Quick
)

# Resources:
set(planets-qml_resource_files
    "AppleTVInput.qml"
    "FpsDisplay.qml"
    "InfoSheet.qml"
    "Planet.qml"
    "PlanetButton.qml"
    "PlanetEffect.qml"
    "PlanetFrameGraph.qml"
    "PlanetMaterial.qml"
    "PlanetsLight.qml"
    "PlanetsMain.qml"
    "Ring.qml"
    "ShadowEffect.qml"
    "SolarSystem.qml"
    "StyledSlider.qml"
    "SunEffect.qml"
    "meshes/ring.obj"
    "meshes/starfield.obj"
    "planets.js"
    "shaders/es2/planetD.frag"
    "shaders/es2/planetD.vert"
    "shaders/es2/planetDB.frag"
    "shaders/es2/planetDB.vert"
    "shaders/es2/planetDS.frag"
    "shaders/es2/planetDSB.frag"
    "shaders/es2/sun.frag"
    "shaders/es2/sun.vert"
    "shaders/gl3/planetD.frag"
    "shaders/gl3/planetD.vert"
    "shaders/gl3/planetDB.frag"
    "shaders/gl3/planetDB.vert"
    "shaders/gl3/planetDS.frag"
    "shaders/gl3/planetDSB.frag"
    "shaders/gl3/planetDShadow.frag"
    "shaders/gl3/planetDShadow.vert"
    "shaders/gl3/shadowmap.frag"
    "shaders/gl3/shadowmap.vert"
    "shaders/gl3/sun.frag"
    "shaders/gl3/sun.vert"
    "shaders/rhi/planetD.frag"
    "shaders/rhi/planetD.vert"
    "shaders/rhi/planetDB.frag"
    "shaders/rhi/planetDB.vert"
    "shaders/rhi/planetDS.frag"
    "shaders/rhi/planetDSB.frag"
    "shaders/rhi/planetDShadow.frag"
    "shaders/rhi/planetDShadow.vert"
    "shaders/rhi/shadowmap.frag"
    "shaders/rhi/shadowmap.vert"
    "shaders/rhi/sun.frag"
    "shaders/rhi/sun.vert"
)

qt6_add_resources(planets-qml "planets-qml"
    PREFIX
        "/"
    FILES
        ${planets-qml_resource_files}
)

set(planets-qml-images_resource_files
    "images/earth.png"
    "images/jupiter.png"
    "images/mars.png"
    "images/mercury.png"
    "images/nasa/uranusringcolortrans.png"
    "images/neptune.png"
    "images/saturn.png"
    "images/solarsystemscope/earthcloudmapcolortrans.png"
    "images/solarsystemscope/earthcloudmapspec.jpg"
    "images/solarsystemscope/earthmap2k.jpg"
    "images/solarsystemscope/earthnormal2k.jpg"
    "images/solarsystemscope/earthspec2k.jpg"
    "images/solarsystemscope/galaxy_starfield.jpg"
    "images/solarsystemscope/jupitermap.jpg"
    "images/solarsystemscope/license.txt"
    "images/solarsystemscope/marsmap2k.jpg"
    "images/solarsystemscope/marsnormal2k.jpg"
    "images/solarsystemscope/mercurymap.jpg"
    "images/solarsystemscope/mercurynormal.jpg"
    "images/solarsystemscope/moonmap2k.jpg"
    "images/solarsystemscope/moonnormal2k.jpg"
    "images/solarsystemscope/neptunemap.jpg"
    "images/solarsystemscope/saturnmap.jpg"
    "images/solarsystemscope/saturnringcolortrans.png"
    "images/solarsystemscope/sunmap.jpg"
    "images/solarsystemscope/uranusmap.jpg"
    "images/solarsystemscope/venusmap.jpg"
    "images/solarsystemscope/venusnormal.jpg"
    "images/sun.png"
    "images/uranus.png"
    "images/venus.png"
)

qt6_add_resources(planets-qml "planets-qml-images"
    PREFIX
        "/"
    FILES
        ${planets-qml-images_resource_files}
)

install(TARGETS planets-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== examples/qt3d/simple-qml/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(simple-qml LANGUAGES CXX)

set(CMAKE_AUTOMOC ON)

if(NOT DEFINED INSTALL_EXAMPLESDIR)
    set(INSTALL_EXAMPLESDIR "examples")
endif()

set(INSTALL_EXAMPLEDIR "${INSTALL_EXAMPLESDIR}")

find_package(Qt6 REQUIRED COMPONENTS 3DCore 3DInput 3DLogic 3DQuick 3DQuickExtras 3DRender Core Gui Qml Quick)

qt_add_executable(simple-qml
    main.cpp
)

set_target_properties(simple-qml PROPERTIES
    WIN32_EXECUTABLE TRUE
    MACOSX_BUNDLE TRUE
)

target_link_libraries(simple-qml PUBLIC
    Qt::3DCore
    Qt::3DInput
    Qt::3DLogic
    Qt::3DQuick
    Qt::3DQuickExtras
    Qt::3DRender
    Qt::Core
    Qt::Gui
    Qt::Qml
    Qt::Quick
)

# Resources:
set(simple-qml_resource_files
    "main.qml"
)

qt6_add_resources(simple-qml "simple-qml"
    PREFIX
        "/"
    FILES
        ${simple-qml_resource_files}
)

target_sources(simple-qml PRIVATE ${simple-qml_resource_files})

install(TARGETS simple-qml
    RUNTIME DESTINATION "${INSTALL_EXAMPLEDIR}"
    BUNDLE DESTINATION "${INSTALL_EXAMPLEDIR}"
    LIBRARY DESTINATION "${INSTALL_EXAMPLEDIR}"
)

=== tests/auto/core/CMakeLists.txt ===
# Generated from core.pro.

add_subdirectory(handle)
add_subdirectory(qresourcemanager)
add_subdirectory(nodes)
add_subdirectory(qaspectengine)
add_subdirectory(qaspectfactory)
add_subdirectory(qaspectjob)
add_subdirectory(qchangearbiter)
add_subdirectory(qscene)
add_subdirectory(qservicelocator)
add_subdirectory(qjoint)
add_subdirectory(qskeletonloader)
add_subdirectory(qskeleton)
add_subdirectory(qarmature)
if(QT_FEATURE_private_tests)
    add_subdirectory(qentity)
    add_subdirectory(qtransform)
    add_subdirectory(threadpooler)
    add_subdirectory(vector4d_base)
    add_subdirectory(vector3d_base)
    add_subdirectory(aspectcommanddebugger)
    add_subdirectory(qscheduler)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_simd_sse2)
    add_subdirectory(vector4d_sse)
    add_subdirectory(vector3d_sse)
    add_subdirectory(matrix4x4_sse)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_simd_avx2)
    add_subdirectory(matrix4x4_avx2)
endif()

=== tests/auto/render/CMakeLists.txt ===
# Generated from render.pro.

if(QT_FEATURE_private_tests)
    add_subdirectory(armature)
    add_subdirectory(aspect)
    add_subdirectory(attribute)
    add_subdirectory(blitframebuffer)
    add_subdirectory(buffer)
    add_subdirectory(computecommand)
    add_subdirectory(coordinatereader)
    add_subdirectory(ddstextures)
    add_subdirectory(effect)
    add_subdirectory(entity)
    add_subdirectory(filterentitybycomponent)
    add_subdirectory(filterkey)
    add_subdirectory(framegraphnode)
    add_subdirectory(framegraphvisitor)
    add_subdirectory(genericlambdajob)
    add_subdirectory(geometry)
    add_subdirectory(geometryrenderer)
    add_subdirectory(joint)
    add_subdirectory(ktxtextures)
    add_subdirectory(layerfiltering)
    add_subdirectory(levelofdetail)
    add_subdirectory(loadscenejob)
    add_subdirectory(material)
    add_subdirectory(memorybarrier)
    add_subdirectory(meshfunctors)
    add_subdirectory(objectpicker)
    add_subdirectory(parameter)
    add_subdirectory(proximityfilter)
    # TO DO: Investigate why this fails on MinGW
    if (NOT MINGW)
        add_subdirectory(proximityfiltering)
    endif()
    add_subdirectory(qabstractlight)
    add_subdirectory(qabstracttexture)
    add_subdirectory(qabstracttextureimage)
    add_subdirectory(qattribute)
    add_subdirectory(qbuffer)
    add_subdirectory(qcamera)
    add_subdirectory(qcameralens)
    add_subdirectory(qcameraselector)
    add_subdirectory(qclearbuffers)
    add_subdirectory(qcomputecommand)
    add_subdirectory(qdispatchcompute)
    add_subdirectory(qeffect)
    add_subdirectory(qenvironmentlight)
    add_subdirectory(qfilterkey)
    add_subdirectory(qframegraphnode)
    add_subdirectory(qgeometry)
    add_subdirectory(qgeometryrenderer)
    add_subdirectory(qgraphicsapifilter)
    add_subdirectory(qlayerfilter)
    add_subdirectory(qlevelofdetail)
    add_subdirectory(qmemorybarrier)
    add_subdirectory(qmesh)
    add_subdirectory(qobjectpicker)
    add_subdirectory(qparameter)
    add_subdirectory(qproximityfilter)
    add_subdirectory(qraycaster)
    add_subdirectory(qrendercapture)
    add_subdirectory(qrenderpass)
    add_subdirectory(qrenderpassfilter)
    add_subdirectory(qrendersettings)
    add_subdirectory(qrenderstate)
    add_subdirectory(qrenderstateset)
    add_subdirectory(qrendersurfaceselector)
    add_subdirectory(qrendertarget)
    add_subdirectory(qrendertargetoutput)
    add_subdirectory(qrendertargetselector)
    add_subdirectory(qsceneloader)
    add_subdirectory(qscreenraycaster)
    add_subdirectory(qsetfence)
    add_subdirectory(qshaderimage)
    add_subdirectory(qshaderprogram)
    add_subdirectory(qshaderprogrambuilder)
    add_subdirectory(qsharedgltexture)
    add_subdirectory(qsortpolicy)
    add_subdirectory(qtechnique)
    add_subdirectory(qtechniquefilter)
    add_subdirectory(qtexturedataupdate)
    add_subdirectory(qtextureimage)
    add_subdirectory(qtextureimagedata)
    add_subdirectory(qtextureloader)
    add_subdirectory(qviewport)
    add_subdirectory(qwaitfence)
    add_subdirectory(raycaster)
    add_subdirectory(rendercapture)
    add_subdirectory(renderpass)
    add_subdirectory(rendertarget)
    add_subdirectory(sceneloader)
    add_subdirectory(segmentvisitor)
    add_subdirectory(setfence)
    add_subdirectory(shader)
    add_subdirectory(shaderbuilder)
    add_subdirectory(shadergraph)
    add_subdirectory(shaderimage)
    add_subdirectory(skeleton)
    add_subdirectory(sortpolicy)
    add_subdirectory(technique)
    add_subdirectory(texture)
    add_subdirectory(transform)
    add_subdirectory(trianglevisitor)
    add_subdirectory(uniform)
    add_subdirectory(vsyncframeadvanceservice)
    add_subdirectory(waitfence)
endif()
if(QT_FEATURE_private_tests AND NOT QT_FEATURE_qt3d_simd_avx2)
    add_subdirectory(qray3d)
    add_subdirectory(raycasting)
    add_subdirectory(triangleboundingvolume)
endif()
if(QT_FEATURE_private_tests AND TARGET Qt::Quick)
    add_subdirectory(raycastingjob)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_opengl_renderer)
    add_subdirectory(opengl)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_rhi_renderer)
    add_subdirectory(rhi)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_extras AND QT_FEATURE_qt3d_opengl_renderer)
    add_subdirectory(qmaterial)
    if (NOT QT_BUILD_STANDALONE_TESTS)
        add_subdirectory(geometryloaders)
    endif()
    add_subdirectory(picking)
    add_subdirectory(gltfplugins)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_extras AND QT_FEATURE_qt3d_opengl_renderer AND TARGET Qt::Quick)
    add_subdirectory(boundingsphere)
    # TO DO: Investigate why this fails on MinGW
    if (NOT MINGW)
        add_subdirectory(pickboundingvolumejob)
    endif()
    add_subdirectory(updateshaderdatatransformjob)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_input AND QT_FEATURE_qt3d_opengl_renderer AND TARGET Qt::Quick)
    add_subdirectory(qscene2d)
    add_subdirectory(scene2d)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_opengl_renderer AND QT_FEATURE_qt3d_simd_avx2)
    add_subdirectory(alignedresourcesmanagers-avx)
endif()
if(QT_FEATURE_private_tests AND QT_FEATURE_qt3d_opengl_renderer AND QT_FEATURE_qt3d_simd_sse2 AND NOT QT_FEATURE_qt3d_simd_avx2)
    add_subdirectory(alignedresourcesmanagers-sse)
endif()

=== tests/manual/bigmodel-qml/CMakeLists.txt ===
# Generated from bigmodel-qml.pro.

#####################################################################
## bigmodel-qml Binary:
#####################################################################

qt_internal_add_manual_test(bigmodel-qml
    GUI
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::3DCore
        Qt::3DExtras
        Qt::3DInput
        Qt::3DQuick
        Qt::3DQuickExtras
        Qt::3DRender
        Qt::Gui
        Qt::Qml
        Qt::Quick
)

# Resources:
set(bigmodel-qml_resource_files
    "MyEntity.qml"
    "main.qml"
)

qt_internal_add_resource(bigmodel-qml "bigmodel-qml"
    PREFIX
        "/"
    FILES
        ${bigmodel-qml_resource_files}
)


#### Keys ignored in scope 1:.:.:bigmodel-qml.pro:<TRUE>:
# DISTFILES = "MyEntity.qml"
# OTHER_FILES = "main.qml" "MyEntity.qml"

## Scopes:
#####################################################################

=== debian/changelog ===
qt6-3d (6.4.2+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 16 Jun 2023 09:52:15 -0300

qt6-3d (6.4.2+dfsg-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Add missing B-D qml6-module-qtquick3d-spatialaudio (Closes:
    #1030472).

 -- Patrick Franz <deltaone@debian.org>  Sat, 04 Feb 2023 11:18:40 +0100

qt6-3d (6.4.2+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 06 Feb 2023 12:00:01 -0300

qt6-3d (6.4.2+dfsg-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Thu, 26 Jan 2023 22:15:32 +0100

qt6-3d (6.4.2+dfsg~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:57:57 +0100

qt6-3d (6.4.2+dfsg~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump stadards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:25:47 +0100

qt6-3d (6.4.1+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies.

 -- Patrick Franz <deltaone@debian.org>  Wed, 14 Dec 2022 23:59:28 +0100

qt6-3d (6.4.1+dfsg-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 20:49:51 +0100

qt6-3d (6.4.0+dfsg-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015614).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 11:50:31 +0100

qt6-3d (6.4.0+dfsg-1) experimental; urgency=medium

  [ Lu YaNing ]
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update install files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Oct 2022 13:21:06 +0200

qt6-3d (6.3.1+dfsg-4~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 17 Oct 2022 10:59:58 -0300

qt6-3d (6.3.1+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Bump minimum CMake version in order to get pkg-config's .pc files.
  * Update symbols files with current build log.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 06 Sep 2022 16:44:01 -0300

qt6-3d (6.2.4+dfsg-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Add myself to Uploaders, only for bullseye-backports.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Fri, 29 Apr 2022 11:53:44 -0300

=== debian/control ===
Source: qt6-3d
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
           Lu YaNing <dluyaning@gmail.com>,
           Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libassimp-dev (>= 5.1.1~),
               libgl-dev,
               libgl1-mesa-dri <!nocheck>,
               libqt6opengl6-dev (>= 6.4.2+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick3d-spatialaudio (>= 6.4.2~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-multimedia-dev (>= 6.4.2~),
               qt6-shadertools-dev (>= 6.4.2~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-3d.git
Rules-Requires-Root: no

Package: libqt63dcore6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Core library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Core library.

Package: libqt63dquick6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick library.

Package: libqt63dquickrender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick Renderer library.

Package: libqt63dinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Input library.

Package: libqt63drender6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Renderer library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Renderer library.

Package: libqt63dlogic6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Logic library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Logic library.

Package: libqt63dquickinput6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Input library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick input library.

Package: libqt63dquickextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D Quick extras library.

Package: libqt63dextras6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D extras library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D extras library.

Package: libqt63dquickscene2d6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Scene 2D library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D library.

Package: libqt63danimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Animation library.

Package: libqt63dquickanimation6
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Quick Animation library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Animation library.

Package: qt6-3d-gltfsceneio-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Transmission Format Scene IO plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's GLTF geometry loader, and scene import and
 export plugins.

Package: qt6-3d-assimpsceneimport-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D GL Assimp Scene Import plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Assimp Scene Import plugin.

Package: qt6-3d-defaultgeometryloader-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 3D default geometry loader plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's default geometry loader plugin.

Package: qt6-3d-scene2d-plugin
Architecture: any
Multi-Arch: same
Depends: libqt63dcore6 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Qt 6 3D Scene 2D plugin
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains Qt 6 3D's Scene 2D plugin.

Package: qml6-module-qt3d-core
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Core QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Core QML module.

Package: qml6-module-qt3d-animation
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Animation QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Animation QML module.

Package: qml6-module-qt3d-extras
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Extras QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Extras QML module.

Package: qml6-module-qt3d-input
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Input QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Input QML module.

Package: qml6-module-qt3d-logic
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Logic QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Logic QML module.

Package: qml6-module-qt3d-render
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 3D Renderer QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 3D Renderer QML module.

Package: qml6-module-qtquick-scene3d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Scene 3D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 3D QML module.

Package: qml6-module-qtquick-scene2d
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Quick Scene 2D QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Quick Scene 2D QML module.

Package: qt6-3d-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqt63danimation6 (= ${binary:Version}),
         libqt63dcore6 (= ${binary:Version}),
         libqt63dextras6 (= ${binary:Version}),
         libqt63dinput6 (= ${binary:Version}),
         libqt63dlogic6 (= ${binary:Version}),
         libqt63dquick6 (= ${binary:Version}),
         libqt63dquickanimation6 (= ${binary:Version}),
         libqt63dquickextras6 (= ${binary:Version}),
         libqt63dquickinput6 (= ${binary:Version}),
         libqt63dquickrender6 (= ${binary:Version}),
         libqt63dquickscene2d6 (= ${binary:Version}),
         libqt63drender6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
